summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2008-11-01 02:52:44 +0000
committerZac Medico <zmedico@gentoo.org>2008-11-01 02:52:44 +0000
commit94ffb6983fac84f8dab53f1a025d593f6188e6d1 (patch)
tree6d31a2c2991c22bf9ab0dfe18877a55154a0e65f /bin
parentccad47cd44fc3bb3f2d332737d7310f19c0644bb (diff)
downloadportage-94ffb6983fac84f8dab53f1a025d593f6188e6d1.tar.gz
portage-94ffb6983fac84f8dab53f1a025d593f6188e6d1.tar.bz2
portage-94ffb6983fac84f8dab53f1a025d593f6188e6d1.zip
Bug #244792 - Remove confcache support.
svn path=/main/trunk/; revision=11770
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ebuild.sh29
1 files changed, 2 insertions, 27 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 00600473b..01c9a0c37 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -495,32 +495,7 @@ econf() {
LOCAL_EXTRA_ECONF="--libdir=${CONF_LIBDIR_RESULT} ${LOCAL_EXTRA_ECONF}"
fi
- local TMP_CONFCACHE_DIR CONFCACHE_ARG
- if hasq confcache $FEATURES && ! hasq confcache $RESTRICT; then
- CONFCACHE="$(type -P confcache)"
- if [ -z "${CONFCACHE}" ]; then
- ewarn "disabling confcache, binary cannot be found"
- else
- CONFCACHE="${CONFCACHE/ /\ }"
- TMP_CONFCACHE_DIR="${CONFCACHE:+${CONFCACHE_DIR:-${PORTAGE_TMPDIR}/confcache}}"
- TMP_CONFCACHE_DIR="${TMP_CONFCACHE_DIR/ /\ }"
- CONFCACHE_ARG="--confcache-dir"
- local s
- if [ -n "$CCACHE_DIR" ]; then
- s="$CCACHE_DIR"
- fi
- if [ -n "$DISTCC_DIR" ]; then
- s="${s:+${s}:}$DISTCC_DIR"
- fi
- if [ -n "$s" ]; then
- CONFCACHE_ARG="--confcache-ignore $s $CONFCACHE_ARG"
- fi
- fi
- else
- CONFCACHE=
- fi
-
- vecho ${CONFCACHE} ${CONFCACHE_ARG} ${TMP_CONFCACHE_DIR} "${ECONF_SOURCE}/configure" \
+ vecho "${ECONF_SOURCE}/configure" \
--prefix=/usr \
--host=${CHOST} \
--mandir=/usr/share/man \
@@ -531,7 +506,7 @@ econf() {
"$@" \
${LOCAL_EXTRA_ECONF}
- if ! ${CONFCACHE} ${CONFCACHE_ARG} ${TMP_CONFCACHE_DIR} "${ECONF_SOURCE}/configure" \
+ if ! "${ECONF_SOURCE}/configure" \
--prefix=/usr \
--host=${CHOST} \
--mandir=/usr/share/man \